/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2017-03-21 15:14:17Z
 *****************************************************************************/

#ifndef __RSZVL_ATTRIBUTES_HEADER
#define __RSZVL_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rszvl_stringToBin_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rszvl_quotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rszvl_quotedInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rszvl_hex_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rszvl_burstType_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rszvl_stringToBin_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rszvl_quotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rszvl_FileStateSpecialFormat_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rszvl_hex_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rszvl_burstType_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/
ViStatus rszvl_IQSrate_RangeTableCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, RsRangeTablePtr *rangeTablePtr);

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rszvl_rngUnits;
extern RsRangeTable rszvl_rngTraceMode;
extern RsRangeTable rszvl_rngAmplitudeUnitsRangeTable;
extern RsRangeTable rszvl_rngAbsRel;
extern RsRangeTable rszvl_rngESPMode;
extern RsRangeTable rszvl_rngDetectorTypeRangeTable;
extern RsRangeTable rszvl_rngDISPConfPreDefColour;
extern RsRangeTable rszvl_rngHcopyDeviceLang;
extern RsRangeTable rszvl_rngHcopyDeviceOrient;
extern RsRangeTable rszvl_rngDomain;
extern RsRangeTable rszvl_rngLinLog;
extern RsRangeTable rszvl_rngServiceInput;
extern RsRangeTable rszvl_rngAvgType;
extern RsRangeTable rszvl_rngDISPSizeWindow;
extern RsRangeTable rszvl_rngMarkerPeakListSort;
extern RsRangeTable rszvl_rngMarkerDemodType;
extern RsRangeTable rszvl_rngMeasPowerSelect;
extern RsRangeTable rszvl_rngMeasPowerStandard;
extern RsRangeTable rszvl_rngMeasPowerMode;
extern RsRangeTable rszvl_rngBandFiltType;
extern RsRangeTable rszvl_rngTFacUnit;
extern RsRangeTable rszvl_rngFreqCentLink;
extern RsRangeTable rszvl_rngFreqMode;
extern RsRangeTable rszvl_rngOffOnAuto;
extern RsRangeTable rszvl_rngExtMixerHarmonicType;
extern RsRangeTable rszvl_rngExtMixerHarmBand;
extern RsRangeTable rszvl_rngAdjChAutoSel;
extern RsRangeTable rszvl_rngAdjPreset;
extern RsRangeTable rszvl_rngSourceIntExt;
extern RsRangeTable rszvl_rngExtGateTrigType;
extern RsRangeTable rszvl_rngHcopyDevice;
extern RsRangeTable rszvl_rngPolarity;
extern RsRangeTable rszvl_rngExtGateSource;
extern RsRangeTable rszvl_rngSweepContMode;
extern RsRangeTable rszvl_rngTriggerSource;
extern RsRangeTable rszvl_rngFileDecSeparator;
extern RsRangeTable rszvl_rngCalibration;
extern RsRangeTable rszvl_rngMarkerStepSize;
extern RsRangeTable rszvl_rngMpowFiltType;
extern RsRangeTable rszvl_rngPct;
extern RsRangeTable rszvl_rngRefLevelOffset;
extern RsRangeTable rszvl_rngRefLevel;
extern RsRangeTable rszvl_rngVBW;
extern RsRangeTable rszvl_rngFreqOffset;
extern RsRangeTable rszvl_rngSweepCount;
extern RsRangeTable rszvl_rngDISPConfPowSave;
extern RsRangeTable rszvl_rngTrace;
extern RsRangeTable rszvl_rngExtGateDelay;
extern RsRangeTable rszvl_rngLimits;
extern RsRangeTable rszvl_rngLimitOffset;
extern RsRangeTable rszvl_rngLimitMargin;
extern RsRangeTable rszvl_rngDISPAmplitudeRang;
extern RsRangeTable rszvl_rngSwePoints;
extern RsRangeTable rszvl_rngBandRatio;
extern RsRangeTable rszvl_rngMarkerPeakListCount;
extern RsRangeTable rszvl_rngMarkerNdBDown;
extern RsRangeTable rszvl_rngMarkerDemodHoldoff;
extern RsRangeTable rszvl_rngStatNumSamples;
extern RsRangeTable rszvl_rngMeasStatUpperLimit;
extern RsRangeTable rszvl_rngMeasStatLowerLimit;
extern RsRangeTable rszvl_rngMeasHDISTNharm;
extern RsRangeTable rszvl_rngSweepTime;
extern RsRangeTable rszvl_rngSignalTrackThreshold;
extern RsRangeTable rszvl_rngTraceMathPosition;
extern RsRangeTable rszvl_rngTimeLinePos;
extern RsRangeTable rszvl_rngRBW;
extern RsRangeTable rszvl_rngVbwRatio;
extern RsRangeTable rszvl_rngAvgCount;
extern RsRangeTable rszvl_rngExtMixerPorts;
extern RsRangeTable rszvl_rngExtMixerHarmonic;
extern RsRangeTable rszvl_rngExtMixerTreshold;
extern RsRangeTable rszvl_rngChannelSpacing;
extern RsRangeTable rszvl_rngCarrSignNum;
extern RsRangeTable rszvl_rngAdjChNum;
extern RsRangeTable rszvl_rngChannelBandwidth;
extern RsRangeTable rszvl_rngAdjRefTxChann;
extern RsRangeTable rszvl_rngPowPct;
extern RsRangeTable rszvl_rngExtGateLength;
extern RsRangeTable rszvl_rngTrigIFPowerLevel;
extern RsRangeTable rszvl_rngTriggerDelay;
extern RsRangeTable rszvl_rngSpeakerVolume;
extern RsRangeTable rszvl_rngLinkFactor;
extern RsRangeTable rszvl_rngBias;
extern RsRangeTable rszvl_rngSEListRangeLimit;
extern RsRangeTable rszvl_rngIFPowOffset;
extern RsRangeTable rszvl_rngIFPowHyst;
extern RsRangeTable rszvl_rngTriggerTimeInterval;
extern RsRangeTable rszvl_rngAttenuationRangeTable;
extern RsRangeTable rszvl_rngInputImpedance;
extern RsRangeTable rszvl_rngInpAmptEattMan;
extern RsRangeTable rszvl_rngFreqCountRes;
extern RsRangeTable rszvl_rngExtMixerLoPower;
extern RsRangeTable rszvl_rngPmetAverCount;
extern RsRangeTable rszvl_rngServiceCombFrequency;
extern RsRangeTable rszvl_rngTraceSpacing;
extern RsRangeTable rszvl_rngNWANumberOfSweeps;
extern RsRangeTable rszvl_rngNWAAvgCount;
extern RsRangeTable rszvl_rngNWARBW;
extern RsRangeTable rszvl_rngNWASwePoints;
extern RsRangeTable rszvl_rngNWASourcePort;
extern RsRangeTable rszvl_rngNWASweepType;
extern RsRangeTable rszvl_rngNWASweepMeasDelay;
extern RsRangeTable rszvl_rngNWASegmentSelectSweepTime;
extern RsRangeTable rszvl_rngNWASegmentRBW;
extern RsRangeTable rszvl_rngNWASegmentSelectivity;
extern RsRangeTable rszvl_rngNWASegmentSweepTime;
extern RsRangeTable rszvl_rngNWASegmentMeasDelay;
extern RsRangeTable rszvl_rngNWASegmentSweepPoints;
extern RsRangeTable rszvl_rngNWAConnectorType;
extern RsRangeTable rszvl_rngNWASameConnectorsAtPorts;
extern RsRangeTable rszvl_rngNWAOffsetLoss;
extern RsRangeTable rszvl_rngNWASourcePower;
extern RsRangeTable rszvl_rngNWATraceXOffset;
extern RsRangeTable rszvl_rngNWATraceFormat;
extern RsRangeTable rszvl_rngNWATraceMathFunction;
extern RsRangeTable rszvl_rngNWATraceSmoothing;
extern RsRangeTable rszvl_rngNWATraceMaxHold;
extern RsRangeTable rszvl_rngNWADeleteMemTrace;
extern RsRangeTable rszvl_rngNWATraceEvalRange;
extern RsRangeTable rszvl_rngNWATraceEvalRangeStart;
extern RsRangeTable rszvl_rngNWATraceEvalRangeStop;
extern RsRangeTable rszvl_rngNWAMarkerStimulus;
extern RsRangeTable rszvl_rngNWAMarkerMode;
extern RsRangeTable rszvl_rngNWAMarkerType;
extern RsRangeTable rszvl_rngNWAMarkerFormat;
extern RsRangeTable rszvl_rngNWAMarkerSearch;
extern RsRangeTable rszvl_rngNWAMarkerBFilterSearchMode;
extern RsRangeTable rszvl_rngNWAMarkerSearchRange;
extern RsRangeTable rszvl_rngNWALimitRDOMComplex;
extern RsRangeTable rszvl_rngNWALimitRDOMFormat;
extern RsRangeTable rszvl_rngNWALimitRDOMSpacing;
extern RsRangeTable rszvl_rngNWALimitSegmType;
extern RsRangeTable rszvl_rngNWAParamConversion;
extern RsRangeTable rszvl_rngNWAColorScheme;
extern RsRangeTable rszvl_rngNWAPresetScope;
extern RsRangeTable rszvl_rngInstrMode;
extern RsRangeTable rszvl_rngNWADFaultStart;
extern RsRangeTable rszvl_rngNWADFaultStop;
extern RsRangeTable rszvl_rngNWADFaultSpan;
extern RsRangeTable rszvl_rngNWASegmentAtten;
extern RsRangeTable rszvl_rngNWASegmentPower;
extern RsRangeTable rszvl_rngHcopyPageSettings;
extern RsRangeTable rszvl_rngNWAGetCalState;
extern RsRangeTable rszvl_rngFmTriggerSource;
extern RsRangeTable rszvl_rngAdemTrigAMLevelAbs;
extern RsRangeTable rszvl_rngAdemTrigAMLevelRel;
extern RsRangeTable rszvl_rngAdemTrigFMLevel;
extern RsRangeTable rszvl_rngAdemTrigPMLevel;
extern RsRangeTable rszvl_rngCoupling;
extern RsRangeTable rszvl_rngFmBwid;
extern RsRangeTable rszvl_rngAdemPhaseWrap;
extern RsRangeTable rszvl_rngUnitAngle;
extern RsRangeTable rszvl_rngAdemBandRes;
extern RsRangeTable rszvl_rngHpasFilterFreq;
extern RsRangeTable rszvl_rngLpasFiltFreq;
extern RsRangeTable rszvl_rngFiltDempTimeConst;
extern RsRangeTable rszvl_rngFiltDempPctConst;
extern RsRangeTable rszvl_rngBtoWritePtype;
extern RsRangeTable rszvl_rngBtoPrat;
extern RsRangeTable rszvl_rngBtoPcl;
extern RsRangeTable rszvl_rngBtoBwid;
extern RsRangeTable rszvl_rngBtoVideo;
extern RsRangeTable rszvl_rngBtoMeasFilt;
extern RsRangeTable rszvl_rngTraceModeWithBlank;
extern RsRangeTable rszvl_rngBtoTraceDetector;
extern RsRangeTable rszvl_rngBtoMeasMode;
extern RsRangeTable rszvl_rngBtoAclrAcp;
extern RsRangeTable rszvl_rngBtoAntennaGain;
extern RsRangeTable rszvl_rngBtoBurstOffs;
extern RsRangeTable rszvl_rngBtoSyncOffs;
extern RsRangeTable rszvl_rngBtoSearchTime;
extern RsRangeTable rszvl_rngBtoCfstBlockCount;
extern RsRangeTable rszvl_rngBtoPayloadBytes;
extern RsRangeTable rszvl_rngBtoPtype;
extern RsRangeTable rszvl_rngSpemColor;
extern RsRangeTable rszvl_rngSpemHistoryBuffDepth;
extern RsRangeTable rszvl_rngSpemSearchArea;
extern RsRangeTable rszvl_rngNoiseCalcLimLine;
extern RsRangeTable rszvl_rngNoiseERNModeSel;
extern RsRangeTable rszvl_rngNoiseLossMode;
extern RsRangeTable rszvl_rngNoiseConfDUT;
extern RsRangeTable rszvl_rngNoiseGPIBGenAddr;
extern RsRangeTable rszvl_rngNoiseDispDataTrac;
extern RsRangeTable rszvl_rngNoiseXAxisFrequency;
extern RsRangeTable rszvl_rng3GBSMeas;
extern RsRangeTable rszvl_rng3GBSSyncType;
extern RsRangeTable rszvl_rng3GBSPowRef;
extern RsRangeTable rszvl_rng3GPPThr;
extern RsRangeTable rszvl_rng3GBSAntenna;
extern RsRangeTable rszvl_rng3GUECDPScrCode;
extern RsRangeTable rszvl_rng3GBSChannel;
extern RsRangeTable rszvl_rng3GPPSlotNum;
extern RsRangeTable rszvl_rng3GBSFeed;
extern RsRangeTable rszvl_rng3GPPResultSumView;
extern RsRangeTable rszvl_rngWlanStandard;
extern RsRangeTable rszvl_rngWlanPvtRPow;
extern RsRangeTable rszvl_rngWlanPvtSel;
extern RsRangeTable rszvl_rngWlanBurstType;
extern RsRangeTable rszvl_rngWlanPvtSampAver;
extern RsRangeTable rszvl_rngSpecMask;
extern RsRangeTable rszvl_rngBurstSel;
extern RsRangeTable rszvl_rngUnitHzPct;
extern RsRangeTable rszvl_rngUnitDbPct;
extern RsRangeTable rszvl_rngIQSRate;
extern RsRangeTable rszvl_rngAutoLevelTime;
extern RsRangeTable rszvl_rngPreamble;
extern RsRangeTable rszvl_rngResults;
extern RsRangeTable rszvl_rngTrigMode;
extern RsRangeTable rszvl_rngWlanDemod;
extern RsRangeTable rszvl_rngWlanDbyte;
extern RsRangeTable rszvl_rngWiMaxStandard;
extern RsRangeTable rszvl_rngWiMAXFreqBand;
extern RsRangeTable rszvl_rngWiMAXGuardRatio;
extern RsRangeTable rszvl_rngWiMAXRSSIAver;
extern RsRangeTable rszvl_rngWiMAXModulForm;
extern RsRangeTable rszvl_rngWiMAXBurstNumber;
extern RsRangeTable rszvl_rngWiMAXPvtSel;
extern RsRangeTable rszvl_rngHzDeg;
extern RsRangeTable rszvl_rngWiMAXAcpChanNum;
extern RsRangeTable rszvl_rngWiMAXChannelBw;
extern RsRangeTable rszvl_rngWiMAXChannelSpacing;
extern RsRangeTable rszvl_rngWiMAXFlatSel;
extern RsRangeTable rszvl_rngWiMAXACPRSweepTime;
extern RsRangeTable rszvl_rngWiMAXDemod;
extern RsRangeTable rszvl_rngWiMAXBconAuto;
extern RsRangeTable rszvl_rngWiMAXLinkMode;
extern RsRangeTable rszvl_rngSubchannel;
extern RsRangeTable rszvl_rngSubchannelULPH;
extern RsRangeTable rszvl_rngWiMAXCestType;
extern RsRangeTable rszvl_rngWiMAXTracPilots;
extern RsRangeTable rszvl_rngWiMAXDLFramePreMode;
extern RsRangeTable rszvl_rngWiMAXDLFramePreIndex;
extern RsRangeTable rszvl_rngWiMAXZoneType;
extern RsRangeTable rszvl_rngWiMAXZoneSegNum;
extern RsRangeTable rszvl_rngWiMAXZoneBurstFormat;
extern RsRangeTable rszvl_rngWiMAXZoneBurstSlotDuration;
extern RsRangeTable rszvl_rngWiMAXZoneBurstSChanCount;
extern RsRangeTable rszvl_rngWiMAXZoneBurstSymbCount;
extern RsRangeTable rszvl_rngWiMAXZoneBurstSymbOffset;
extern RsRangeTable rszvl_rngWiMAXZoneBurstType;
extern RsRangeTable rszvl_rngTriggerSourceB6;
extern RsRangeTable rszvl_rngTriggerTVVertSig;
extern RsRangeTable rszvl_rngTriggerTVLineSystem;
extern RsRangeTable rszvl_rngDISPFormat;
extern RsRangeTable rszvl_rngBtoChannel;
extern RsRangeTable rszvl_rngIQSRateB72;
extern RsRangeTable rszvl_rngSpemAnalysis;
extern RsRangeTable rszvl_rngWiMAXExtTrgLev;
extern RsRangeTable rszvl_rngWiMAXSignalInput;
extern RsRangeTable rszvl_rngWiMAXESPTTA;
extern RsRangeTable rszvl_rng3GPPESPMode;
extern RsRangeTable rszvl_rng3GPESPTransition;
extern RsRangeTable rszvl_rng3GPPESPPredefinedLimLine;
extern RsRangeTable rszvl_rngNoiseMarkerTrace;
extern RsRangeTable rszvl_rngCatvFreqOffset;
extern RsRangeTable rszvl_rngCatvRelPower;
extern RsRangeTable rszvl_rngCatvAbsPower;
extern RsRangeTable rszvl_rngCatvHumLimitUpper;
extern RsRangeTable rszvl_rngCatvHumLimitLower;
extern RsRangeTable rszvl_rngCatvCarrSuppression;
extern RsRangeTable rszvl_rngCatvErrLimitLower;
extern RsRangeTable rszvl_rngCatvErrLimitUpper;
extern RsRangeTable rszvl_rngCatvImbLimit;
extern RsRangeTable rszvl_rngCatvPhaseJitterLimit;
extern RsRangeTable rszvl_rngCatvQuadratureErrLimit;
extern RsRangeTable rszvl_rngCatvSymbRateLimit;
extern RsRangeTable rszvl_rngUnitSecMin;
extern RsRangeTable rszvl_rngCatvAtvCarrMeas;
extern RsRangeTable rszvl_rngCatvAtvMeas;
extern RsRangeTable rszvl_rngCatvDtvMeas;
extern RsRangeTable rszvl_rngCatvTvMeas;
extern RsRangeTable rszvl_rngCatvEpattZoom;
extern RsRangeTable rszvl_rngCatvMerrZoom;
extern RsRangeTable rszvl_rngCatvOverZoom;
extern RsRangeTable rszvl_rngCatvConstDiagZoom;
extern RsRangeTable rszvl_rngCatvAtvBw;
extern RsRangeTable rszvl_rngCatvAtvCarrMeasMode;
extern RsRangeTable rszvl_rngCatvAtvRefPowerMode;
extern RsRangeTable rszvl_rngCatvDtvEPattVelocity;
extern RsRangeTable rszvl_rngCatvDtvFilterAlpha;
extern RsRangeTable rszvl_rngCatvSBand;
extern RsRangeTable rszvl_rngCatvRFFreq;
extern RsRangeTable rszvl_rngCatvModStandGroupDelay;
extern RsRangeTable rszvl_rngCatvModStandSignalType;
extern RsRangeTable rszvl_rngCatvAtvStandard;
extern RsRangeTable rszvl_rngCatvDtvStandard;
extern RsRangeTable rszvl_rngCatvAtvSoundSystem;
extern RsRangeTable rszvl_rngCatvAtvColorSystem;
extern RsRangeTable rszvl_rngCatvDtvFormat;
extern RsRangeTable rszvl_rngCatvAtvTriggField;
extern RsRangeTable rszvl_rngCatvAtvTriggBarLineType;
extern RsRangeTable rszvl_rngCatvPowerUnits;
extern RsRangeTable rszvl_rngCatvResults;
extern RsRangeTable rszvl_rngPmetMeasTime;
extern RsRangeTable rszvl_rngPmetCoupling;
extern RsRangeTable rszvl_rngPmetUnitAbs;
extern RsRangeTable rszvl_rngPmetUnitRel;
extern RsRangeTable rszvl_rngUnitLength;
extern RsRangeTable rszvl_rngRipplePhysicalUnits;
extern RsRangeTable rszvl_rngRippleFormUnits;
extern RsRangeTable rszvl_rngTraceAperture;
extern RsRangeTable rszvl_rngEventStart;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSZVL_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSZVL_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSZVL_RS_ATTR_CACHE;
extern RsAttrProperties g_RSZVL_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSZVL_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSZVL_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPY;
extern RsAttrProperties g_RSZVL_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSZVL_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSZVL_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSZVL_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSZVL_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSZVL_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSZVL_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSZVL_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSZVL_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSZVL_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSZVL_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSZVL_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSZVL_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSZVL_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSZVL_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSZVL_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSZVL_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSZVL_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSZVL_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSZVL_ATTR_AMPLITUDE_UNITS;
extern RsAttrProperties g_RSZVL_ATTR_INSTR_MODE;
extern RsAttrProperties g_RSZVL_ATTR_ATTENUATION;
extern RsAttrProperties g_RSZVL_ATTR_ATTENUATION_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_START;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_STOP;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_CENTER;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_CENTER_STEP;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_STEP_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_CENTER_LINK;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_CENTER_LINK_FACTOR;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_SPAN;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_SPAN_FULL;
extern RsAttrProperties g_RSZVL_ATTR_FREQUENCY_MODE;
extern RsAttrProperties g_RSZVL_ATTR_INPUT_IMPEDANCE;
extern RsAttrProperties g_RSZVL_ATTR_NUMBER_OF_SWEEPS;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_LEVEL_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_RESOLUTION_BANDWIDTH_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_RESOLUTION_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSZVL_ATTR_SWEEP_MODE_CONTINUOUS;
extern RsAttrProperties g_RSZVL_ATTR_SWEEP_TIME;
extern RsAttrProperties g_RSZVL_ATTR_SWEEP_TIME_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_SWEEP_POINTS;
extern RsAttrProperties g_RSZVL_ATTR_SWEEP_COUNT_CURRENT;
extern RsAttrProperties g_RSZVL_ATTR_VERTICAL_SCALE;
extern RsAttrProperties g_RSZVL_ATTR_VIDEO_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_VIDEO_BANDWIDTH_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_VIDEO_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ABORT;
extern RsAttrProperties g_RSZVL_ATTR_INIT;
extern RsAttrProperties g_RSZVL_ATTR_INIT_CONT;
extern RsAttrProperties g_RSZVL_ATTR_INIT_SW_TRIGGER;
extern RsAttrProperties g_RSZVL_ATTR_INIT_CONMEAS;
extern RsAttrProperties g_RSZVL_ATTR_AVG_STATE;
extern RsAttrProperties g_RSZVL_ATTR_AVG_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_AVG_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_AVG_COUNT_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_RESOLUTION_BANDWIDTH_FILTER_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_VIDEO_BANDWIDTH_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_TRACE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_TRACE_RESET_BEHAVIOR;
extern RsAttrProperties g_RSZVL_ATTR_TRACE_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_TRACE_MATH_STATE;
extern RsAttrProperties g_RSZVL_ATTR_TRACE_MATH_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_DETECTOR_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_DETECTOR_TYPE_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_CALIBRATION_CHECK;
extern RsAttrProperties g_RSZVL_ATTR_CALIBRATION;
extern RsAttrProperties g_RSZVL_ATTR_CALIBRATION_ABORT;
extern RsAttrProperties g_RSZVL_ATTR_CALIBRATION_RESULT_QUERY;
extern RsAttrProperties g_RSZVL_ATTR_CALIBRATION_STATE;
extern RsAttrProperties g_RSZVL_ATTR_INP_UPORT_STATE;
extern RsAttrProperties g_RSZVL_ATTR_INP_UPORT_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_OUT_UPORT_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_REF_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_REF_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_DISP_FREQ_STATE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_TIME_STATE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_PWR_SAVE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_PWR_SAVE_HOLDOFF;
extern RsAttrProperties g_RSZVL_ATTR_DISP_WINDOW_SIZE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_COL_PRESET;
extern RsAttrProperties g_RSZVL_ATTR_DISP_COL_PREDEFINED;
extern RsAttrProperties g_RSZVL_ATTR_DISP_LOG_RANGE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_AMPLITUDE_GRID_MODE;
extern RsAttrProperties g_RSZVL_ATTR_DISP_SINGLE_SWEEP;
extern RsAttrProperties g_RSZVL_ATTR_DISP_UPDATE;
extern RsAttrProperties g_RSZVL_ATTR_UNIT_POWER;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_ENABLED;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_AOFF;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_LOEX;
extern RsAttrProperties g_RSZVL_ATTR_SIGNAL_TRACK_ENABLED;
extern RsAttrProperties g_RSZVL_ATTR_SIGNAL_TRACK_BWID;
extern RsAttrProperties g_RSZVL_ATTR_SIGNAL_TRACK_THRESHOLD;
extern RsAttrProperties g_RSZVL_ATTR_SIGNAL_TRACK_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_STEP_SIZE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_PROBABILITY;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_MIN_RIGHT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_MIN_LEFT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_PEAK;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_PEAK_NEXT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_PEAK_RIGHT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_PEAK_LEFT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_MIN;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_MIN_NEXT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_PEAK_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_MIN_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_THRESHOLD_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_THRESHOLD;
extern RsAttrProperties g_RSZVL_ATTR_PEAK_EXCURSION;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_LIMITS_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_LIMITS_LEFT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_SEARCH_LIMITS_RIGHT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_PEAK_LIST_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_PEAK_LIST_FOUND;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_PEAK_LIST_SORT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_DEMOD_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_DEMOD_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_DEMOD_HOLDOFF;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_DEMOD_CONT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_TO_CENTER;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_TO_STEP;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_TO_REFERENCE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_REF_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_REF_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_REF_LEVEL_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_REF_FREQ;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_REF_PEAK;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_MODE;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_REL_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_AOFF;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_PEAK;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_PEAK_NEXT;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_PEAK_NEXT_RIGHT;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_PEAK_NEXT_LEFT;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_MIN;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_MIN_NEXT;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_MIN_NEXT_RIGHT;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_MIN_NEXT_LEFT;
extern RsAttrProperties g_RSZVL_LIMIT_STATE;
extern RsAttrProperties g_RSZVL_LIMIT_CLEAR;
extern RsAttrProperties g_RSZVL_LIMIT_ASSIGN_TRACE;
extern RsAttrProperties g_RSZVL_LIMIT_UNITS;
extern RsAttrProperties g_RSZVL_LIMIT_COMMENT;
extern RsAttrProperties g_RSZVL_LIMIT_COPY;
extern RsAttrProperties g_RSZVL_LIMIT_NAME;
extern RsAttrProperties g_RSZVL_LIMIT_DELETE;
extern RsAttrProperties g_RSZVL_LIMIT_CONTROL_DOMAIN;
extern RsAttrProperties g_RSZVL_LIMIT_CONTROL_SPACING;
extern RsAttrProperties g_RSZVL_LIMIT_CONTROL_SCALING;
extern RsAttrProperties g_RSZVL_LIMIT_CONTROL_OFFSET;
extern RsAttrProperties g_RSZVL_LIMIT_CONTROL_SHIFT;
extern RsAttrProperties g_RSZVL_LIMIT_LOWER_STATE;
extern RsAttrProperties g_RSZVL_LIMIT_LOWER_SCALING;
extern RsAttrProperties g_RSZVL_LIMIT_LOWER_SPACING;
extern RsAttrProperties g_RSZVL_LIMIT_LOWER_MARGIN;
extern RsAttrProperties g_RSZVL_LIMIT_LOWER_THRESHOLD;
extern RsAttrProperties g_RSZVL_LIMIT_LOWER_OFFSET;
extern RsAttrProperties g_RSZVL_LIMIT_LOWER_SHIFT;
extern RsAttrProperties g_RSZVL_LIMIT_UPPER_STATE;
extern RsAttrProperties g_RSZVL_LIMIT_UPPER_SCALING;
extern RsAttrProperties g_RSZVL_LIMIT_UPPER_SPACING;
extern RsAttrProperties g_RSZVL_LIMIT_UPPER_MARGIN;
extern RsAttrProperties g_RSZVL_LIMIT_UPPER_THRESHOLD;
extern RsAttrProperties g_RSZVL_LIMIT_UPPER_OFFSET;
extern RsAttrProperties g_RSZVL_LIMIT_UPPER_SHIFT;
extern RsAttrProperties g_RSZVL_ATTR_THRLINE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_THRLINE_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_DLINE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_DLINE_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_FLINE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_FLINE_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_TLINE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_TLINE_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_SOURCE;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_DELAY;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_SLOPE;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_EVENT_START;
extern RsAttrProperties g_RSZVL_ATTR_EXTERNAL_GATE;
extern RsAttrProperties g_RSZVL_ATTR_EXTERNAL_GATE_HOLD;
extern RsAttrProperties g_RSZVL_ATTR_EXTERNAL_GATE_TRIGGER_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_EXTERNAL_GATE_POLARITY;
extern RsAttrProperties g_RSZVL_ATTR_EXTERNAL_GATE_LENGTH;
extern RsAttrProperties g_RSZVL_ATTR_EXTERNAL_GATE_SIGNAL_SOURCE;
extern RsAttrProperties g_RSZVL_ATTR_VIDEO_TRIGGER_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_IFP_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_IFP_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_IFP_HYSTERESIS;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_TIME_INTERVAL;
extern RsAttrProperties g_RSZVL_ATTR_AMPL_PREAMPLIFIER;
extern RsAttrProperties g_RSZVL_LIMIT_CHECK_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_NOISE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_NOISE_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_PNO_STATE;
extern RsAttrProperties g_RSZVL_ATTR_REFERENCE_MARKER_PNO_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_FREQUENCY_COUNTER_ENABLED;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_FREQUENCY_COUNTER_RESOLUTION;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_NDB_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_NDB_VAL;
extern RsAttrProperties g_RSZVL_ATTR_MARKER_NDB_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_LIST_POW_STATE_OFF;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_PEAK;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_RMS;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_MEAN;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_SDEV;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_AVG;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_MAX_HOLD;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_MODE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_AOFF;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_SET_REFERENCE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_PEAK_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_RMS_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_MEAN_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_SDEV_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_AVG_PEAK_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_AVG_RMS_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_AVG_MEAN_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_AVG_SDEV_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_PEAK_HOLD_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_PEAK_HOLD_RMS_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_PEAK_HOLD_MEAN_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TDOM_PEAK_HOLD_SDEV_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_SELECT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_OFF;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ADJ_NUM;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ADJ_MODE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_MODE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_RESULT_MODE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_CHANNEL_SPACING;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ADJ_CHANNEL_SPACING;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ALT_CHANNEL_SPACING;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ADJ_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ALT_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_STANDARD;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_REF_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ADJ_PRESET;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ACP_HSP;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ACP_PRESET_REF_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ACP_LIMIT_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ACP_LIMIT_REL_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ACP_LIMIT_ABS_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ACP_ALT_LIMIT_REL_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_ACP_ALT_LIMIT_ABS_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_CARR_SIG_NUM;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_REF_CHAN_SEL_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_ADJ_REF_TXCHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_POW_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_APD_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_CCDF_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_SAMPLES;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_X_REF;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_X_RANGE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_Y_MIN;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_Y_MAX;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_ADJ;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_STAT_PRESET;
extern RsAttrProperties g_RSZVL_ATTR_STAT_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_MDEPTH_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_MDEPTH_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_MDEPTH_SEARCH;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TOI_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TOI_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_TOI_SEARCH;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_HDIST_STATE;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_HDIST_NOOFHARM;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_HDIST_RBWAUTO;
extern RsAttrProperties g_RSZVL_ATTR_MEAS_HDIST_PRESET;
extern RsAttrProperties g_RSZVL_ATTR_MPOW_MIN;
extern RsAttrProperties g_RSZVL_ATTR_MPOW_FTYPE;
extern RsAttrProperties g_RSZVL_ATTR_IQ_SAMPLE_RATE;
extern RsAttrProperties g_RSZVL_ATTR_IQ_DATA_STATE;
extern RsAttrProperties g_RSZVL_ATTR_IQ_DATA_AVER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_IQ_DATA_AVER_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSZVL_ATTR_SERVICE_INPUT_SOURCE;
extern RsAttrProperties g_RSZVL_ATTR_SERVICE_INPUT_COMB_FREQUENCY;
extern RsAttrProperties g_RSZVL_ATTR_SERVICE_NOISE_SOURCE;
extern RsAttrProperties g_RSZVL_ATTR_SERVICE_STEST_RESULTS;
extern RsAttrProperties g_RSZVL_ATTR_SERVICE_STEST;
extern RsAttrProperties g_RSZVL_ATTR_FILE_RECALL;
extern RsAttrProperties g_RSZVL_ATTR_FILE_STARTUP_RECALL;
extern RsAttrProperties g_RSZVL_ATTR_FILE_SAVE;
extern RsAttrProperties g_RSZVL_ATTR_FILE_DATA_CLEAR;
extern RsAttrProperties g_RSZVL_ATTR_FILE_DATA_CLEAR_ALL;
extern RsAttrProperties g_RSZVL_ATTR_FILE_DEC_SEPARATOR;
extern RsAttrProperties g_RSZVL_ATTR_FILE_MANAGER_EDIT_PATH;
extern RsAttrProperties g_RSZVL_ATTR_FILE_MANAGER_DELETE;
extern RsAttrProperties g_RSZVL_ATTR_FILE_MANAGER_MAKE_DIR;
extern RsAttrProperties g_RSZVL_ATTR_FILE_MANAGER_EDIT_PATH_DEVICE;
extern RsAttrProperties g_RSZVL_ATTR_FILE_MANAGER_DELETE_DIR;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_SOURCE_CAL_DATA;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_TRAN;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_HWSETTINGS;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_TRAC;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_LINE;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_ALL;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_NONE;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_DEFAULT;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_ABORT;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_COLOR_DEF;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_COLOR;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_PRINT;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_PRINT_NEXT;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_DEVICE_DESTINATION;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_COLOR_PREDEFINED;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_DEVICE_LANG_OUT_FORM;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_PRINT_SCREEN;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_COMM_SCR;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_PRINT_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_DEVICE_ORIENTATION;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_FILE_NAME;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_PRINTER;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_PRINTER_NEXT;
extern RsAttrProperties g_RSZVL_ATTR_HCOPY_PRINTER_FIRST;
extern RsAttrProperties g_RSZVL_ATTR_ROSC_SOURCE;
extern RsAttrProperties g_RSZVL_ATTR_SYST_ERR;
extern RsAttrProperties g_RSZVL_ATTR_SYST_ERR_LIST;
extern RsAttrProperties g_RSZVL_ATTR_SYST_ERR_CLEAR;
extern RsAttrProperties g_RSZVL_ATTR_SYST_PRESET;
extern RsAttrProperties g_RSZVL_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSZVL_ATTR_SYST_SPEAKER;
extern RsAttrProperties g_RSZVL_ATTR_NWA_NUMBER_OF_SWEEPS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_AVG_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_AVG_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_AVERAGE_CLEAR;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SWEEP_POINTS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CHANNEL_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CHANNEL_NAME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_ASSIGN_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SOURCE_PORT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RF_OUTPUT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SWEEP_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SWEEP_MEAS_DELAY;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SWEEP_STEP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_INSERT_NEW_SEGMENT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_SELECT_SWEEP_TIME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_FREQ_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_FREQ_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_POWER_CONTROL;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_ATTEN;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_BAND_CONTROL;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_SELECT_CONTROL;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_TIME_CONTROL;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_MEAS_DELAY_CONTROL;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_RES_BAND;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_SELECTIVITY;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_SWEEP_TIME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_MEAS_DELAY;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_SWEEP_POINTS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_POWER;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_GET_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_DELETE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_DELETE_ALL;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_GET_FREQ_CENTER;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SEGMENT_GET_FREQ_SPAN;
extern RsAttrProperties g_RSZVL_ATTR_NWA_STORE_SEGMENT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LOAD_SEGMENT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORRECTION_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORRECTION_DELETE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORRECTION_STORE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORRECTION_LOAD;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORRECTION_RESOLVE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_RSAV;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_RSAV_DEFAULT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_EXP_DATA_TOUCH_FILE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_CONN_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_CONN_PORTS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_DELETE_USER_CONN;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_GET_CAL_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_GET_CAL_DATA_PARAMS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_GET_CAL_DATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_FACT_CAL_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_GENERATE_CALIBRATION_KIT_FILE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_ACTIVE_CALIBRATION_UNIT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_GET_ALL_CALIBRATION_UNITS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_EXPORT_CALIBRATION_DATA_TO_TOUCHSTONE_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_SAVE_CAL_DATA;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_SAVE_DEFAULT_DATA;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_DELETE_CAL_DATA;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CORR_DELETE_CAL_DATA_LAST;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LOAD_CAL_KIT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_ELENGTH;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_PERMITTIVITY;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_DISTANCE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_DELAY;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_AUTO_LENGTH;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_LOSS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_LOSS_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_LOSS_FREQUENCY;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_AUTO_LENGTH_AND_LOSS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_OFFSET_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SOURCE_POWER;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_SELECT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_ASSIGN_TRACE_BY_NAME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_DELETE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_UNASSIGN_DIAGRAM_AREA;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_X_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_APERTURE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_MATH_FUNC;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_SMO_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_SMO_APER;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_MAX_HOLD;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_MATH_MEMORIZE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_DELETE_MEMORY;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_AUTOSCALE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_AUTOSCALE_BY_NAME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_SCAL_BOTTOM;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_SCAL_TOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_SCAL_PDIV;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_REF_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_REF_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_RANGE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_RANGE_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_RANGE_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_EPDELAY_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_MMPT_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_MSTD_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_RMS_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_EVAL_ALL_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CUSTOM_HEADER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CUSTOM_HEADER_INSTRUMENT_INFO;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CUSTOM_HEADER_DATE_AND_TIME_INFO;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CUSTOM_HEADER_TEXT_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CUSTOM_HEADER_TEXT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CUSTOM_HEADER_CALIBRATION_INFO;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_X;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_REF_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_REF_X;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_REF_MODE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_REF_FIXED;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DELTA_MARKER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_COUPLED;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_MODE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_SEARCH_TRACKING;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_AOFF;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_TO_CENTER;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_TO_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_TO_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_SEARCH_MODE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_BFILTER_SEARCH_MODE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_SEARCH_RANGE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_SEARCH_RANGE_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_SEARCH_RANGE_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_TARGET_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_BANDWIDTH;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_BFILT_SEARCH_RESULTS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SAVE_ALL_MARKERS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_DISPLAY_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_LOWER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_UPPER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_RDOM_COMPLEX;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_RDOM_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_RDOM_SPACING;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DISPLAY_LINE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DISPLAY_LINE_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_STIMUL_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_STIMUL_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_RESPONSE_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_RESPONSE_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_STIMUL_SHIFT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_LOWER_SHIFT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_UPPER_SHIFT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_SEGM_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_DELETE_ALL_SEGM;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_CHECK_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_GET_RIPPLE_GLOBAL_LIMIT_CHECK_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_RANGE_SEGMENT_LIMIT_CHECK;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_SHOW_LIMITS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_RANGE_SEGMENT_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_RANGE_SEGMENT_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_DELETE_ALL_LIMIT_RANGES;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_LIMIT_PHYSICAL_UNITS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_LIMIT_RESPONSE_DOMAIN_FORMAT_UNITS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_GET_LIMIT_RANGES;
extern RsAttrProperties g_RSZVL_ATTR_NWA_RIPPLE_LIMIT_RANGE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LIMIT_CHECK_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CLIMIT_CHECK_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_REFER_MARKER_RESPONSE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_INIT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_PARAMETER_CONVERSION;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_START;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_STOP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_CENTER;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_SPAN;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_POINTS;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_SELECT_CABLE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_DELETE_CABLE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_SAVE_CABLE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DFAULT_LOAD_CABLE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_FAULT_LIMIT_CHECK;
extern RsAttrProperties g_RSZVL_ATTR_NWA_FAULT_THRESHOLD;
extern RsAttrProperties g_RSZVL_ATTR_NWA_FAULT_PEAK_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_NWA_COLOR_SCHEME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_FREQ_INFO_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_TRACE_COLOR_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_MARKER_COLOR_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SAVE_COLOR_SCHEME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LOAD_COLOR_SCHEME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DISPLAY_UPDATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_ERROR_DISPLAY_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_REMOTE_DISPLAY_TITLE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DIAGRAM_AREA_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DIAGRAM_AREA_MAXIMIZE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DIAGRAM_AREA_TITLE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_DIAGRAM_AREA_TITLE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CREATE_NEW_SETUP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SELECT_SETUP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_CLOSE_SETUP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_LOAD_SETUP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SAVE_SETUP;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SYSTEM_PRESET_SCOPE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_USER_PRESET_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_USER_PRESET_NAME;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SYSTEM_SETTINGS_UPDATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_SYSTEM_KLOCK;
extern RsAttrProperties g_RSZVL_ATTR_NWA_ALARM_SOUND_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_STATUS_SOUND_STATE;
extern RsAttrProperties g_RSZVL_ATTR_NWA_UNIT_OF_LENGTH;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_MODE;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_TRIGGER_SOURCE;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_TRIGGER_AM_LEVEL_ABS;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_TRIGGER_AM_LEVEL_REL;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_TRIGGER_FM_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_TRIGGER_PM_LEVEL;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_DISPLAY_PDIV;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_STATE;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_AF_COUP;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_MTIM;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_BAND_DEM;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_RLEN;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_SRATE;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_ZOOM_START;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_PHASE_WRAP;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_UNIT_ANGLE;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_PM_RPO_X;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_AF_CENTER;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_AF_SPAN;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_AF_START;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_AF_STOP;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_AF_FULL_SPAN;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_BAND_RES;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_SPEC_SPAN;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_SPEC_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_FILT_HPAS_STAT;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_FILT_HPAS_FREQ;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_FILT_LPAS_STAT;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_FILT_DEMP_STAT;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_FILT_LPAS_FREQ;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_FILT_DEMP_TCON;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_FILT_LPAS_FREQ_REL;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_AFR_RES;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_FERR_RES;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_SIN_RES;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_THD_RES;
extern RsAttrProperties g_RSZVL_ATTR_FMDEM_CARR_RES;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_SUMM_RES;
extern RsAttrProperties g_RSZVL_ATTR_ADEM_FM_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PTYPE;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PRAT;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PCL;
extern RsAttrProperties g_RSZVL_ATTR_BTO_POW_AVER;
extern RsAttrProperties g_RSZVL_ATTR_BTO_BWID_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_BTO_BWID;
extern RsAttrProperties g_RSZVL_ATTR_BTO_VID_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_BTO_VID;
extern RsAttrProperties g_RSZVL_ATTR_BTO_FILT_MEAS;
extern RsAttrProperties g_RSZVL_ATTR_BTO_TRAC_MOD;
extern RsAttrProperties g_RSZVL_ATTR_BTO_TRAC;
extern RsAttrProperties g_RSZVL_ATTR_BTO_TRAC_DET;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SWE;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SWE_TIME_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SWE_TIME;
extern RsAttrProperties g_RSZVL_ATTR_BTO_MODE;
extern RsAttrProperties g_RSZVL_ATTR_BTO;
extern RsAttrProperties g_RSZVL_ATTR_BTO_LAP;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_BTO_ACLR_ACP;
extern RsAttrProperties g_RSZVL_ATTR_BTO_EGA_INP;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PULS_OFFS;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SEARCH_PULS;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SYNC_OFFS;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SEARCH_SYNC;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SEARCH_TIME;
extern RsAttrProperties g_RSZVL_ATTR_BTO_SEARCH_TIME_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_BLOCK_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_BTO_IBS_ACP;
extern RsAttrProperties g_RSZVL_ATTR_BTO_IBS_GATE_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PBSC;
extern RsAttrProperties g_RSZVL_ATTR_BTO_RTP_TIME;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PDIV;
extern RsAttrProperties g_RSZVL_ATTR_BTO_ZOOM_STATE;
extern RsAttrProperties g_RSZVL_ATTR_BTO_ZOOM_START;
extern RsAttrProperties g_RSZVL_ATTR_BTO_OPOW_PEAK;
extern RsAttrProperties g_RSZVL_ATTR_BTO_OPOW_AVER;
extern RsAttrProperties g_RSZVL_ATTR_BTO_STAT;
extern RsAttrProperties g_RSZVL_ATTR_BTO_ACLR_EXC;
extern RsAttrProperties g_RSZVL_ATTR_BTO_MCH_DF_AVER;
extern RsAttrProperties g_RSZVL_ATTR_BTO_MCH_DF_MAX;
extern RsAttrProperties g_RSZVL_ATTR_BTO_MCH_RAT;
extern RsAttrProperties g_RSZVL_ATTR_BTO_MCH_DF2_PERC;
extern RsAttrProperties g_RSZVL_ATTR_BTO_ICFT;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFDR_MAX;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFDR_RATE;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PLEN;
extern RsAttrProperties g_RSZVL_ATTR_BTO_PTYP;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_BLOCK_COUNT_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_DEVM_RMS;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_DEVM_PEAK;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_DEVM_99PCT;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_FERR_TOTAL;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_FERR_BLOCK;
extern RsAttrProperties g_RSZVL_ATTR_BTO_CFST_FERR_INITIAL;
extern RsAttrProperties g_RSZVL_ATTR_BTO_DPEN_PACKETS;
extern RsAttrProperties g_RSZVL_ATTR_BTO_DPEN_PACKETS_PASSED;
extern RsAttrProperties g_RSZVL_ATTR_BTO_DPEN_BER;
extern RsAttrProperties g_RSZVL_ATTR_BTO_IBS_EXC;
extern RsAttrProperties g_RSZVL_ATTR_BTO_IBS_HADJ;
extern RsAttrProperties g_RSZVL_ATTR_BTO_IBS_TXCHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_BTO_RTP;
extern RsAttrProperties g_RSZVL_ATTR_BTO_RTP_RATIO;
extern RsAttrProperties g_RSZVL_ATTR_PMET_REL;
extern RsAttrProperties g_RSZVL_ATTR_PMET_REL_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_PMET_FREQ;
extern RsAttrProperties g_RSZVL_ATTR_PMET_MEAS_TIME;
extern RsAttrProperties g_RSZVL_ATTR_PMET_COUPLING;
extern RsAttrProperties g_RSZVL_ATTR_PMET_ZERO;
extern RsAttrProperties g_RSZVL_ATTR_PMET_UNIT_ABS;
extern RsAttrProperties g_RSZVL_ATTR_PMET_UNIT_REL;
extern RsAttrProperties g_RSZVL_ATTR_PMET_STATE;
extern RsAttrProperties g_RSZVL_ATTR_PMET_AVERAGE_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_PMET_AVERAGE_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_PMET_REF_LEVEL_OFFSET_STATE;
extern RsAttrProperties g_RSZVL_ATTR_PMET_RELATIVE;
extern RsAttrProperties g_RSZVL_ATTR_PMET_READ;
extern RsAttrProperties g_RSZVL_ATTR_PMET_FETCH;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_STATE;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_COLOR;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_SIZE;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_HDEP;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_TIME_STAMP_STATE;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_FRAME_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_FRAME_SELECT;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_CONTINUOUS;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_CLEAR;
extern RsAttrProperties g_RSZVL_ATTR_FILE_ITEMS_SAVE_RECAL_SPEM;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_MARK_FRAME_NUMBER;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_MARKER_SEARCH_AREA;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_MARKER_SEARCH_XY;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_MARKER_SEARCH_Y;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_DELT_FRAME_NUMBER;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_DELT_SEARCH_AREA;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_DELT_SEARCH_XY;
extern RsAttrProperties g_RSZVL_ATTR_SPEM_DELT_SEARCH_Y;
extern RsAttrProperties g_RSZVL_ATTR_CATV_MODE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_Y_SCALE_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_CATV_EPAT_ZOOM_STATE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_EPAT_ZOOM_FACTOR;
extern RsAttrProperties g_RSZVL_ATTR_CATV_MERR_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_CATV_OVER_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_CATV_QUAD_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_CATV_TRACE_MODE_FREEZE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_CHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_CATV_RF_FREQUENCY;
extern RsAttrProperties g_RSZVL_ATTR_CATV_RF_FREQUENCY_STEP_SIZE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_SWEEP_SPACING;
extern RsAttrProperties g_RSZVL_ATTR_CATV_SIDE_BAND;
extern RsAttrProperties g_RSZVL_ATTR_CATV_MODUL_STANDARD;
extern RsAttrProperties g_RSZVL_ATTR_CATV_MODUL_STANDARD_GDELAY;
extern RsAttrProperties g_RSZVL_ATTR_CATV_MODUL_STANDARD_SIG_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_MEAS;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_MEAS;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_MEAS_MODE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_BWID;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_FREQ_NEXT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_NOISE_FLOOR_CORRECTION;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_REF_CHANNEL_MANUAL;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_REF_POWER_MANUAL;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_REF_POWER_MODE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_HUM_UNIT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_VCP_UNIT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_STANDARD;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_SOUND_SYSTEM;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_COLOR;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_TRIGGER_BAR_FIELD;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_TRIGGER_BAR_LINE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_TRIGGER_BAR_LINE_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_TRIGGER_VIDEO_SCOPE_FIELD;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_TRIGGER_VIDEO_SCOPE_LINE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_TRIGGER_QLINE_FIELD;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_TRIGGER_QUIET_LINE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_FREQ_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_REL_POWER;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_VCF;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_VCP;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_CN;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_CSO;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_CTB;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_HUM_LOW;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_HUM_UPP;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_VMOD_MDEP;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_VMOD_RPC;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_VMOD_VCP;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_FREQ_OFFSET_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_REL_POWER_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_VCF_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_LIM_VCP_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_CN_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_CSO_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_CTB_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_HUM_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_LIM_VMOD_MDEP_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_VCPA;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_VCF_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_REL_POWER_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CARR_FREQ_OFFSET_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CN_CN_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CSO_CSO_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_CTB_CTB_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_HUM_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_ATV_VMOD_RESULT_VALUE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_MEAS;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_SATT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_EPAT_UNIT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_EPAT_RVEL;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_ERROR_UNIT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_EQUALIZER_STATE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_EQUALIZER_FREEZE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_EQUALIZER_RESET;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_FILTER_ALPHA;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_SRATE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_STANDARD;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_CARR_LIM_FREQ_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_CHANNEL_POWER;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_SUPP;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_ERR_LOW;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_ERR_UPP;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_IMB;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_PJIT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_QERR;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_SYMB_RATE_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_CARR_LIM_FREQ_OFFSET_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_CHANNEL_POWER_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_CARR_LIM_CARR_SUPP_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_ERROR_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_IMB_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_PJIT_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_QERR_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_LIM_SYMB_RATE_OFFSET_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_SPEC;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_ERROR;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_OVER_CARR_FREQ_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_OVER_SRATE_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_MERR_IMB;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_MERR_QERR;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_MERR_CSUP;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_MERR_PJIT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_DTV_CHANNEL_POWER_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_CATV_TV_MEAS;
extern RsAttrProperties g_RSZVL_ATTR_CATV_TV_CHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_CATV_TV_MOD_STANDARD_TILT_ACTIVATE;
extern RsAttrProperties g_RSZVL_ATTR_CATV_TV_MOD_STANDARD_TILT_DEACTIVATE;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_MODE;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CALC_LIM_TRAC;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_CORR;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_LIST_CONT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_LIST_SING;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_SING;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_INP_GAIN_STAT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CORR_ENR_MODE;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CORR_ENR_SPOT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CORR_TEMP;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CORR_LOSS_MODE;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CORR_LOSS_SPOT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CORR_EREJ;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CORR_STAT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_FREQ_STEP;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_FREQ_FIXED;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_SYST_LOSC_FREQ;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_MODE_DUT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_DUT_GAIN;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_CONF_DUT_SETT_TIME;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_ARRAY_MEMORY;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_MARKER_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_DATA_TRAC;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_TRAC_STAT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_SYMB;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_AUTO_SCAL;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_TRAC_BOTTOM;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_TRAC_TOP;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_TRAC_REF_LEV_STAT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_TABLE;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_TRACE_MEM;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISPL_CURR_RESULTS;
extern RsAttrProperties g_RSZVL_ATTR_NOISE_DISP_X_AXIS;
extern RsAttrProperties g_RSZVL_ATTR_BWCD_MODE;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_MEAS;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_LEVEL_ADJUST;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_WCDP_HSDPAUPA_STATE;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_WCDP_SYNC_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_WCDP_NORMALIZE;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_WCDP_INVERT_Q;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_WCDP_POW_REF;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_WCDP_INACT_CHAN_THR;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_ANTENNA;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_MARKER_TO_CHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_REFERENCE_MARKER_TO_CHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_SCODE;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_PDIV;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_ASEQ;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_SCODE_SEARCH;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_ESP_LIMIT_LINE_SELECT;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_ESP_PREDEFINED_LIMIT_LINE;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_ESP_TRANSITION;
extern RsAttrProperties g_RSZVL_ATTR_3GPP_ESP_LIMIT_LINE_RESTORE;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_RESULTS_SELECT_CHAN;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_RESULTS_SELECT_CPICH_SLOT;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_RESULT;
extern RsAttrProperties g_RSZVL_ATTR_3GBS_RESULT_SUM_VIEW;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_STAN;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_PVT_RPOW;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_PVT_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_PVT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SPEC_FLAT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_BTYP;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_PVT_AVER;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_POW_EXP_RF;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_POW_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_POW_AUTO_ONCE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_CHAN;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_ECAR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_ESYM;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SPEC_MASK;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SPEC_MASK_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SPEC_FFT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SPEC_ACPR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_CONS_CSYM;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_BURS_COUN_STAT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_CONS_CCAR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_CONS_CARR_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_CONS_CARR_SEL_NR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_STAT_CCDF;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_STAT_BSTR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_STAT_SFI;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_INIT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_INIT_CONT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MODE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_BURS_COUN;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SWAP_IQ;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_ACH_MODE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_UNIT_PRE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_UNIT_EVM;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_UNIT_GIMB;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_PRE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SRAT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_POW_AUTO_SWE_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_IQ_LOAD;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_IQ_SAVE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_CALC_BURS;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_PRE_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_DISP_TABL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SCREEN_SELECT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_DISP_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_DISP_AUTO_Y;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_Y_PDIV;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRIS;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TFAL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FERR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SYMB;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_IQOF;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_ALL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_DATA;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_PIL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TFAL_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRIS_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FERR_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SYMB_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_IQOF_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_LIM_FAIL_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_ALL_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_DATA_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EVM_PIL_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_ACP_ADJ;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_ACP_ADJ_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_ACP_ALT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_ACP_ALT_RES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SPEC_MASK_X;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SPEC_MASK_Y;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARKER_ENABLED;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARKERS_AOFF;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARKER_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARK_SYMB;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARK_CARR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARK_Y;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARKER_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARKER_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARKER_SEARCH_MAX;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_MARKER_SEARCH_MIN;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_BURS_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_PRE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_PAYL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_RMS;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_PEAK;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_CRES;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_TRIS;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_TFAL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_FERR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_SYMB;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_IQOF;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_GIMB;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_QUAD;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_EVM;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_EVM_DIR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_EVM_ALL;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_EVM_DATA;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_EVM_PILOT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_FETC_SYMB_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EGAT_HOLD_SAMP;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EGAT_HOLD_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EGAT_LENG_SAMP;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EGAT_LENG_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EGAT_LINK;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_EGAT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRIG_MODE;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRIG_POW_LEV;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRIG_POW_LEV_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_CEST;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SIGS;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_BCON_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_BAN;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SYM_EQU;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_SYM;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_DBYT_EQU;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_DBYT;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_DUR_EQU;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_DUR;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRAC_LEV;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRAC_PHAS;
extern RsAttrProperties g_RSZVL_ATTR_WLAN_TRAC_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_STAN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MODE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BAND_CHAN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BURS_COUN_STAT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BURS_COUN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FBAN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CHAN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_IGR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_POW_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_POW_AUTO_ONCE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_POW_AUTO_SWE_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_POW_EXP_RF;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SIGNAL_INPUT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_RLEV_RF;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SRAT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_IQ_LOAD;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_IQ_SAVE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SWAP_IQ;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TABLE_UNIT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_RSSI_AVG_PARAM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CALC_BURS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FORMAT_SELECT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_NFFT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FRAME_LOAD;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FRAME_SAVE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SMU_ADDRESS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_STAT_BSTR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BSTR_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BSTR_SEL_NR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_STAT_CCDF;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_STAT_BSUM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_PVT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BURS_PVT_BURS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_PVT_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CONS_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CONS_SEL_NR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CONS_CCAR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CONS_CSYM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_PRE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_PRE_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_UNIT_PRE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EVM_ECAR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EVM_ESYM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_UNIT_EVM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_ACPR_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACH_MODE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACH_ACP;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACH_BW_ACH;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACH_BW_ALT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACH_BW_CHAN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACH_SPAC_ACH;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACH_SPAC_ALT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACP_NOISE_CORR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_ACPR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_FFT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_FLAT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_FLAT_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_MASK;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_MASK_SEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACPR_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ACPR_TIME_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SEM_CLASS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ESP_ANALYSIS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ESP_TTA;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_DISP_AUTO_Y;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_DISP_TABL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SCREEN_SELECT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_DISP_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_Y_PDIV;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EVM_ALL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EVM_DATA;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FERR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SST;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SYMB;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_IQOF;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BERP;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EVM_ALL_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EVM_DATA_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FERR_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_LIM_FAIL_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_MASK_X;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SPEC_MASK_Y;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SST_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SYMB_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_IQOF_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BERP_RES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARKER_ENABLED;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARKER_AOFF;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARKER_TRACE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARK_BURST;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARK_CARR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARK_SYMB;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARK_Y;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARKER_POSITION;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARKER_ZOOM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARKER_SEARCH_MAX;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_MARKER_SEARCH_MIN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_BURS_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_CRES;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_EVM_ALL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_EVM_DATA;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_EVM_PILOT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_FERR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_GIMB;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_IQOF;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_QUAD;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_RMS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_SYMB;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_SYMB_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_RMS_ALL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_RMS_PILOT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_RMS_DATA;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_RMS_DLPR;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_ZONE_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_TDOM_PREAMBLE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_TDOM_SUBFRAME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FETC_TDOM_ZONE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EGAT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EGAT_HOLD_SAMP;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EGAT_HOLD_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EGAT_LENG_SAMP;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EGAT_LENG_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_EGAT_LINK;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRIG_MODE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRIG_EXT_LEV;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRIG_POW_LEV;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRIG_POW_LEV_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BAN;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_BCON_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CEST;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_LMODE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SUBCHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SUBCHANNEL_STATE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SUBCHANNEL_ULPH;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SYM_EQU;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_SYM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRAC_LEV;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRAC_PHAS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRAC_TIME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TDD_TTG;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_FFT_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_CEST_OFDMA;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_TRACK_PILOTS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_DL_IDCELL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_DL_PREAMBLE_MODE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_DL_PREAMBLE_INDEX;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_DL_SUBCHANNEL;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_UL_FRAME;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_COUNT_QUERY;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_ANALYZE_STATE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_SEGMENT_NUM;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_PERM_BASE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_PRBS;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_DELETE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_SYMBOL_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_SYMBOL_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_COUNT_QUERY;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_FORMAT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_OFFSET_AUTO;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_SLOT_DURATION;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_SUBC_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_SUBC_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_SYMBOL_COUNT;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_SYMBOL_OFFSET;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_POWER;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_TYPE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_ZONE_BURST_DELETE;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_REFRESH;
extern RsAttrProperties g_RSZVL_ATTR_WIMAX_QUERY_TTC;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_SOURCE_TV;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_TV_VID_CONT;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_TV_VERTICAL_SIGNAL;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_TV_LINE_SYSTEM;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_TV_HORIZONTAL_SIGNAL;
extern RsAttrProperties g_RSZVL_ATTR_TRIGGER_TV_VIDEO_POLARITY;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rszvl_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rszvl_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSZVL_ATTRIBUTES_HEADER */
